=== debian/control ===
Source: xen
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>> 7), lsb-release, python2.6-dev, python-support, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, libncurses5-dev, libpci-dev, uuid-dev, zlib1g-dev
Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
XS-Python-Version: 2.7

Package: xen-docs-4.1
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for Xen
 This package contains all the large documentation files for Xen.  This
 includes a description interface (both the API, and a nice explanation of
 how XEN works).

Package: libxenstore3.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libxen3
Conflicts: libxen3
Description: Xenstore communications library for Xen
 This package contains the public libxenstore.

Package: libxen-dev
Architecture: any
Section: libdevel
Depends: libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
Replaces: libxen3-dev
Conflicts: libxen3-dev
Description: Public headers and libs for Xen
 This package contains the public headers and static libraries for Xen.

Package: xenstore-utils
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: xen-utils-common (<= 3.1.0-1), libxen3
Conflicts: xen-utils-common (<= 3.1.0-1), libxen3
Description: Xenstore utilities for Xen
 This package contains the Xenstore utilities.

Package: xen-utils-4.1
Architecture: amd64 i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= 3.4.2-4)
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
Suggests: xen-docs-4.1
Replaces: xen-utils-3.3, libxen3, python-xen-3.3
Conflicts: xen-utils-3.3, libxen3, python-xen-3.3
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.

Package: xen-hypervisor-4.1-amd64
Architecture: amd64 i386
Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-amd64
Depends: ${misc:Depends}
Recommends: xen-utils-4.1
Suggests: xen-docs-4.1
Description: Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-4.1-i386
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-4.1, xen-hypervisor-i386
Depends: ${misc:Depends}
Recommends: xen-utils-4.1
Suggests: xen-docs-4.1
Description: Xen Hypervisor on i386
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.
