=== debian/changelog ===
xen (4.1.1-2.2) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Add some ocaml related patches

 -- Ian Campbell <jon@dhcp-3-31>  Fri, 30 Sep 2011 22:04:33 +0100

xen (4.1.1-2.1) UNRELEASED; urgency=low

  * Non-maintainer upload.
  * Build the ocaml libs to be packaged in libxen-dev

 -- Ian Campbell <Ian.Campbell@citrix.com>  Mon, 18 Jul 2011 11:30:39 +0100

xen (4.1.1-2) UNRELEASED; urgency=low

  * Fix hvmloader with gcc 4.6.

 -- Bastian Blank <waldi@debian.org>  Fri, 05 Aug 2011 23:49:39 +0200

xen (4.1.1-1) UNRELEASED; urgency=low

  * New upstream release.
  * Don't use qemu-dm if it is not needed. (Backport from xen-unstable.)

 -- Bastian Blank <waldi@debian.org>  Fri, 24 Jun 2011 17:19:44 +0000
