=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: xen
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
+Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 7), lsb-release, python2.6-dev, python-support, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, libncurses5-dev, libpci-dev, uuid-dev, zlib1g-dev
+Build-Depends: debhelper (>> 7), lsb-release, python-dev, bcc, gcc-multilib, e2fslibs-dev, iasl, ipxe, libaio-dev, libgnutls-dev, libncurses5-dev, libpci-dev, uuid-dev, zlib1g-dev, ocaml-nox (>= 3.11.1-3~), dh-ocaml (>= 0.9~), ocaml-findlib
 Build-Depends-Indep: graphviz, ghostscript, texlive-fonts-recommended, texlive-font-utils, texlive-latex-recommended
 XS-Python-Version: 2.7
 
@@ -22,8 +21,6 @@
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libxen3
-Conflicts: libxen3
 Description: Xenstore communications library for Xen
  This package contains the public libxenstore.
 
@@ -31,8 +28,6 @@
 Architecture: any
 Section: libdevel
 Depends: libxenstore3.0 (= ${binary:Version}), ${misc:Depends}
-Replaces: libxen3-dev
-Conflicts: libxen3-dev
 Description: Public headers and libs for Xen
  This package contains the public headers and static libraries for Xen.
 
@@ -40,10 +35,28 @@
 Architecture: any
 Section: admin
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: xen-utils-common (<= 3.1.0-1), libxen3
-Conflicts: xen-utils-common (<= 3.1.0-1), libxen3
+Replaces: xen-utils-common (<= 3.1.0-1)
+Conflicts: xen-utils-common (<= 3.1.0-1)
 Description: Xenstore utilities for Xen
  This package contains the Xenstore utilities.
+
+Package: libxen-ocaml-4.1
+Architecture: any
+Section: libs
+Provides: ${ocaml:Provides}
+Depends: ocaml-base-nox-${F:OCamlABI}, ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
+Description: OCaml libraries for controlling Xen
+ This package contains the runtime libraries required for the ocaml
+ bindings to the Xen control libraries.
+
+Package: libxen-ocaml-dev
+Architecture: any
+Section: libdevel
+Provides: ${ocaml:Provides}
+Depends: ocaml-nox-${F:OCamlABI}, libxen-ocaml-4.1 (= ${binary:Version}), ${shlibs:Depends}, ocaml-findlib (>= 1.1), ${misc:Depends}, ${ocaml:Depends}
+Description: OCaml libraries for controlling Xen (devel package)
+ This package contains the ocaml findlib packages for compiling
+ applications that are designed to control the Xen hypervisor.
 
 Package: xen-utils-4.1
 Architecture: amd64 i386
@@ -51,8 +64,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, xen-utils-common (>= 3.4.2-4)
 Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-4.1, qemu-keymaps, qemu-utils
 Suggests: xen-docs-4.1
-Replaces: xen-utils-3.3, libxen3, python-xen-3.3
-Conflicts: xen-utils-3.3, libxen3, python-xen-3.3
 Description: XEN administrative tools
  The userspace tools to manage a system virtualized through the XEN virtual
  machine monitor.
